Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanRegistrationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException
                  javax.management.MBeanException
                      javax.management.MBeanRegistrationException

All Implemented Interfaces:
  Serializable

public class MBeanRegistrationException
extends MBeanException

A wrapper for exceptions thrown by MBeans that implement MBeanRegistration. These exceptions are thrown in preRegister and preDeregister.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock
See Also:
  `MBeanRegistration`, Serialized Form

Constructor Summary
`MBeanRegistrationException(Exception e)` Construct a new MBeanRegistrationException from a given exception.
`MBeanRegistrationException(Exception e, String message)` Construct a new MBeanRegistrationException from a given exception and message.

Methods inherited from class javax.management.MBeanException
`getCause, getTargetException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanRegistrationException

    public MBeanRegistrationException(Exception e)

  Construct a new MBeanRegistrationException from a given exception.

Parameters:
  `e` - the exception to wrap.

### MBeanRegistrationException

    public MBeanRegistrationException(Exception e,
                                      String message)

  Construct a new MBeanRegistrationException from a given exception and message.

Parameters:
  `e` - the exception to wrap.
  `message` - the specified message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.